%!TEX root=../../thesis.tex
%!TEX file=content/inverse-kinematics/onepage-listing.tex

\clearpage
\subsubsection{Standard~(geometric)}

\paragraph{Assumptions}

\begin{itemize}
  \item Purely based on geometric properties of the \caro
  \item Cable forms straight line between two points~$\Ai$ and~$\Bi$
  \item Ideal cables
    \begin{itemize}
      \item No stretch or elongation due to elasticity
      \item No mass / density of the cable thus no eigendynamics
    \end{itemize}
\end{itemize}

\paragraph{Equations}

\begin{align}
  \cablen_{i, \mc{geo}}
    & = \norm{ \ai - \left( \platpos + \platrot \bi \right) }_{2}
\end{align}

\paragraph{Limitations}

\begin{itemize}
  \item Only valid for cables that are ideal \textIe rigid slender objects much like a prismatic joint
  \item Valid for static or quasi-static case of \caro motion
  \item Applicable if cables are inelastic or elasticity can be neglected~(either relatively high or density is very low)
  \item Not valid for large scale robots as the cable's weight then is considerably large
  \item May be applicable to steel wires where the elasticity is relatively huge compared to the power of the drives but not when \caro is run with polymer fibers
\end{itemize}

\paragraph{References}

\begin{itemize}
  \item~\autocite{Verhoeven.2004}
\end{itemize}




\clearpage
\subsubsection{Standard Elastic~(geometrico-static)}


\paragraph{Assumptions}

\begin{itemize}
  \item Cable forms straight line between two points~$\Ai$ and~$\Bi$
  \item Cable is elastic thus it can elongate
  \item Elasticity of the cable is given, either through
    \begin{itemize}
      \item A linear equation of form~$\Delta \cablen = \frac{F}{E_{\subcable} A}$ where~$F$ is the force applied to the cable,~$E_{\subcable}$ its Young's modulus,~$A$ its cross-section, and~$\Delta \cablen$ the resulting elongation, or through
      \item A nonlinear equation of the form~$\Delta \cablen = \Delta \cablen \of{F, E_{\subcable}, A, \dotso}$ with the same parameters as prior, but possibly also others
    \end{itemize}
  \item Cable is assumed to infinitesimally small/narrow but is given a cross-section area
\end{itemize}


\paragraph{Equations}

Assuming we know a cable-force distribution~$\cabforces = \transpose{\left[ \cabforce_{1}, \dotsc, \cabforce_{\numcable} \right]}$ at the pose~$\platpose$, we can solve the equation
%
\begin{align}
  \Delta \cablen_{i}
    & = \frac{ 1 }{ E_{i} A_{i} } \cabforce_{i}
\end{align}
%
to find a cable length set-point~$\cablen{_{i, \mc{set}}}$ given the geometric cable length~$\cablen{_{i, \ms{g}}}$ and the necessary cable force~$\cabforce_{i}$ where~$\Delta \cablen_{i} = \cablen{_{i, \mc{set}}} - \cablen{_{i, \ms{geo}}}$
%
\begin{align}
  \cablen{_{i, \mc{set}}}
    & = \frac{ \cabforce_{i} }{ E_{i} A_{i} } + \norm{ \ai - \left( \platpos + \platrot \bi \right) }_{2} .
\end{align}

Noting, however, that the elasticity of the cable changes with its effective length \textIe the longer the cable, the less stiff it is, we get the following relationships
%
\begin{subequations}
  \begin{align}
    \cabforce_{i}
      & = c_{\mc{eff}} \Delta \cablen_{i} \\
    c_{\mc{eff}}
      & = c_{\mc{ref}} \frac{ \cablen_{\mc{ref}} }{ \cablen_{\mc{eff}} },
  \end{align}
\end{subequations}
%
from which follows the set-point cable length
%
\begin{align}
  \cablen_{\mc{set}}
    & = \frac{ \cablen_{\mc{geo}} }{ 1 - \frac{ \cabforce_{i} }{ c_{\mc{ref}} \cdot \cablen_{\mc{ref}} } }
\end{align}


\paragraph{Limitations}

\begin{itemize}
  \item foo
\end{itemize}


\paragraph{References}

\begin{itemize}
  \item foo
\end{itemize}





\clearpage
\subsubsection{Pulley-Based}


\paragraph{Assumptions}

\begin{itemize}
  \item foo
\end{itemize}


\paragraph{Equations}

\begin{align}
  foo
\end{align}


\paragraph{Limitations}

\begin{itemize}
  \item foo
\end{itemize}


\paragraph{References}

\begin{itemize}
  \item foo
\end{itemize}





\clearpage
\subsubsection{Pulley-Based Elastic}


\paragraph{Assumptions}

\begin{itemize}
  \item foo
\end{itemize}


\paragraph{Equations}

\begin{align}
  foo
\end{align}


\paragraph{Limitations}

\begin{itemize}
  \item foo
\end{itemize}


\paragraph{References}

\begin{itemize}
  \item foo
\end{itemize}





\clearpage
\subsubsection{Catenary}


\paragraph{Assumptions}

\begin{itemize}
  \item foo
\end{itemize}


\paragraph{Equations}

\begin{align}
  foo
\end{align}


\paragraph{Limitations}

\begin{itemize}
  \item foo
\end{itemize}


\paragraph{References}

\begin{itemize}
  \item foo
\end{itemize}





\clearpage
\subsubsection{Catenary Elastic}


\paragraph{Assumptions}

\begin{itemize}
  \item foo
\end{itemize}


\paragraph{Equations}

\begin{align}
  foo
\end{align}


\paragraph{Limitations}

\begin{itemize}
  \item foo
\end{itemize}


\paragraph{References}

\begin{itemize}
  \item foo
\end{itemize}





\clearpage
\subsubsection{Pulley-Based Catenary}


\paragraph{Assumptions}

\begin{itemize}
  \item foo
\end{itemize}


\paragraph{Equations}

\begin{align}
  foo
\end{align}


\paragraph{Limitations}

\begin{itemize}
  \item foo
\end{itemize}


\paragraph{References}

\begin{itemize}
  \item foo
\end{itemize}





\clearpage
\subsubsection{Catenary Simplified/Linearized}


\paragraph{Assumptions}

\begin{itemize}
  \item foo
\end{itemize}


\paragraph{Equations}

\begin{align}
  foo
\end{align}


\paragraph{Limitations}

\begin{itemize}
  \item foo
\end{itemize}


\paragraph{References}

\begin{itemize}
  \item foo
\end{itemize}





\clearpage
\subsubsection{Finite Element Method}


\paragraph{Assumptions}

\begin{itemize}
  \item foo
\end{itemize}


\paragraph{Equations}

\begin{align}
  foo
\end{align}


\paragraph{Limitations}

\begin{itemize}
  \item foo
\end{itemize}


\paragraph{References}

\begin{itemize}
  \item foo
\end{itemize}


